%{?nodejs_find_provides_and_requires}

%global packagename jodid25519
%global enable_tests 0
# no test suite found

Name:		nodejs-jodid25519
Version:	1.0.1
Release:	2%{?dist}
Summary:	Curve 25519-based cryptography

License:	MIT
URL:		https://github.com/meganz/jodid25519.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 should be generated by running Source10, which pulls from the upstream
# version control repository.  However, the release has not yet been tagged in the
# upstream github repo, so Source1 had to be created manually :-(
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
The jodid25519 module - Curve 25519-based cryptography


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec mocha test/*_test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-2
- Initial packaging
